Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.security
Class AtnSecurityProviderConfigStub

    java.lang.Object
      com.bea.p13n.security.AtnSecurityProviderConfigStub

All Implemented Interfaces:
  com.bea.p13n.security.internal.AtnSecurityProviderConfig

public class AtnSecurityProviderConfigStub
extends Object
implements com.bea.p13n.security.internal.AtnSecurityProviderConfig

Class to provide default values for the Atn Security Provider in the event that the AtnSecurityProviderMBean has not been deployed. Note these are accessors only; dynamic properties are set using the MBean because we're not using properties files as a means of configuring the SecurityProvider.

Field Summary

Fields inherited from interface com.bea.p13n.security.internal.AtnSecurityProviderConfig
`DEFAULT_GROUP_CREATE_ROLES, DEFAULT_GROUP_DELETE_ROLES, DEFAULT_GROUP_READ_ROLES, DEFAULT_GROUP_UPDATE_ROLES, DEFAULT_PREDICATE_INPUT_TEXT_ENABLED, DEFAULT_USER_CREATE_ROLES, DEFAULT_USER_DELETE_ROLES, DEFAULT_USER_READ_ROLES, DEFAULT_USER_UPDATE_ROLES`

Constructor Summary
`AtnSecurityProviderConfigStub()`

Method Summary
`String[]` | `getGroupCreateRoles()` Group Provider Security parameters
`String[]` | `getGroupDeleteRoles()`
`String[]` | `getGroupReadRoles()`
`String[]` | `getGroupUpdateRoles()`
`boolean` | `getPredicateTextInputEnabled()`
`String[]` | `getProtectedGroups()`
`String[]` | `getProtectedUsers()`
`String[]` | `getReservedGroups()`
`String[]` | `getReservedUsers()` This optional file allows an Authentication provider to indicate special User and Group names it uses.
`String[]` | `getUserCreateRoles()` User Provider Security parameters
`String[]` | `getUserDeleteRoles()`
`String[]` | `getUserReadRoles()`
`String[]` | `getUserUpdateRoles()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AtnSecurityProviderConfigStub

    public AtnSecurityProviderConfigStub()

Method Detail

### getGroupCreateRoles

    public String[] getGroupCreateRoles()

  Group Provider Security parameters

  Specified by:
    `getGroupCreateRoles` in interface `com.bea.p13n.security.internal.AtnSecurityProviderConfig`

### getGroupDeleteRoles

    public String[] getGroupDeleteRoles()

  Specified by:
    `getGroupDeleteRoles` in interface `com.bea.p13n.security.internal.AtnSecurityProviderConfig`

### getGroupReadRoles

    public String[] getGroupReadRoles()

  Specified by:
    `getGroupReadRoles` in interface `com.bea.p13n.security.internal.AtnSecurityProviderConfig`

### getGroupUpdateRoles

    public String[] getGroupUpdateRoles()

  Specified by:
    `getGroupUpdateRoles` in interface `com.bea.p13n.security.internal.AtnSecurityProviderConfig`

### getPredicateTextInputEnabled

    public boolean getPredicateTextInputEnabled()

  Specified by:
    `getPredicateTextInputEnabled` in interface `com.bea.p13n.security.internal.AtnSecurityProviderConfig`

### getProtectedGroups

    public String[] getProtectedGroups()

  Specified by:
    `getProtectedGroups` in interface `com.bea.p13n.security.internal.AtnSecurityProviderConfig`

### getProtectedUsers

    public String[] getProtectedUsers()

  Specified by:
    `getProtectedUsers` in interface `com.bea.p13n.security.internal.AtnSecurityProviderConfig`

### getReservedGroups

    public String[] getReservedGroups()

  Specified by:
    `getReservedGroups` in interface `com.bea.p13n.security.internal.AtnSecurityProviderConfig`

### getReservedUsers

    public String[] getReservedUsers()

  This optional file allows an Authentication provider to indicate special User and Group names it uses. The WLP Admin Tools will use names listed here when administrators are performing user and group operations. The admin tools will not allow reserved names listed here to be created and will not allow protected names listed here to be deleted. In addition to any optional restrictions listed here, the tools will always restrict operations on special WLS user and group names. The name of this properties file must match the display "Name" of the authentication provider, as viewed in the WLS console (or WLP admin tools).

  Specified by:
    `getReservedUsers` in interface `com.bea.p13n.security.internal.AtnSecurityProviderConfig`

### getUserCreateRoles

    public String[] getUserCreateRoles()

  User Provider Security parameters

  Specified by:
    `getUserCreateRoles` in interface `com.bea.p13n.security.internal.AtnSecurityProviderConfig`

### getUserDeleteRoles

    public String[] getUserDeleteRoles()

  Specified by:
    `getUserDeleteRoles` in interface `com.bea.p13n.security.internal.AtnSecurityProviderConfig`

### getUserReadRoles

    public String[] getUserReadRoles()

  Specified by:
    `getUserReadRoles` in interface `com.bea.p13n.security.internal.AtnSecurityProviderConfig`

### getUserUpdateRoles

    public String[] getUserUpdateRoles()

  Specified by:
    `getUserUpdateRoles` in interface `com.bea.p13n.security.internal.AtnSecurityProviderConfig`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved